import java.awt.*;

public class ClipCanvas extends Canvas {
        // Draw an oval within a clipping area.
    public void paint(Graphics g){
        Dimension size = getSize();

        // Define the oval's position.
        final int x = size.width/3, y = size.height/4;
        // Define the width and height of the oval.
        final int width = size.width/3, height = size.height/2;

        // Define a clipping rectangle in the central area.
        g.setClip(size.width/4,size.height/3,
                        size.width/2,size.height/3);

        // Draw the oval.
        g.drawOval(x,y,width,height);
    }
}
