import java.awt.*;

class CursorLoaderMain {
    public static void main(String[] args){
        if(args.length > 0){
            CursorImageLoader loader = new CursorImageLoader();
            loader.setVisible(true);
            loader.addWindowListener(new WindowCloser());
            loader.retrieveImages(args);
            System.out.println("Finished loading.");
        }
        else{
            System.out.println("Usage: CursorLoaderMain image-file ...");
        }
        // Force termination.
        System.exit(0);
    }
}
