import java.awt.*;

    // Draw an oval within the canvas.
public class OvalCanvas extends Canvas {
    // Adjust the size of the oval according to the size of the canvas.
    public void paint(Graphics g){
        // Find out the size of this component.
        Dimension size = getSize();
        final int width = size.width, height = size.height;
        // Allow a small gap inside the drawing area.
        final int gap = 5;

        // Make sure there is enough space
        final int spaceRequired = 2*gap+2;
        if((width >= spaceRequired) && (height >= spaceRequired)){
            g.drawOval(gap,gap,width-2*gap,height-2*gap);
        }
    }
}
