    // Illustrate construction failure. A negative radius will
    // cause creation of a Circle object to fail.
    // Catch the exception.
class CircleMain2 {
    public static void main(String[] args){
        SimpleInput keyboard = new SimpleInput();
        // Allow up to 5 circles to be created.
        final int max = 5;
        System.out.println("Please input "+max+" radius values.");
        for(int i = 0; i < max; i++){
            try{
                double radius = keyboard.nextDouble();
                Circle c = new Circle(radius);
                System.out.println("Area = "+c.area());
            }
            catch(RuntimeException e){
                System.out.println(e.getMessage());
            }
        }
    }
}
