    // Illustrate exception propagation.
class CircleMain3 {
    public static void main(String[] args){
        // Require exactly 5 circles to be created.
        Circle[] circles = null;
        do{
            try{
                final int max = 5;
                circles = createCircles(max);
            }
            catch(RuntimeException e){
                System.out.println(e.getMessage());
            }
        }
        while(circles == null);
        // Got them all.
        for(int i = 0; i< circles.length; i++){
            System.out.print(circles[i].getRadius()+" ");
        }
        System.out.println();
    }

        // Return an array containing max Circle objects.
        // The array must be returned full, or not at all.
    public static Circle[] createCircles(int max) throws RuntimeException {
        SimpleInput keyboard = new SimpleInput();
        Circle[] circles = new Circle[max];
        System.out.println("Please input "+max+" radius values.");
        for(int i = 0; i < max; i++){
            double radius = keyboard.nextDouble();
            circles[i] = new Circle(radius);
        }
        return circles;
    }
}
