import javax.swing.*;

        // Print details of the installed look and feel names.
class LookAndFeelMain1 {
    public static void main(String[] args){
        // Obtain an array of all the installed look and feel types.
        UIManager.LookAndFeelInfo[] info =
                                UIManager.getInstalledLookAndFeels();

        if(info != null){
            System.out.println("Installed Look and Feels.");
            // Print the name and class for each one.
            for(int i = 0; i < info.length; i++){
                final UIManager.LookAndFeelInfo look = info[i];
                System.out.println(look.getName()+
                                   " Class: "+look.getClassName());
            }
        }

        // Exit, because use of the UIManager has created a separate thread.
        System.out.flush();
        System.exit(0);
    }
}
