import javax.swing.*;

    // Display the arguments as images in a JDesktopPane.
    // Explicitly set the Motif look-and-feel for this.
class SwingLayerMain4 {
    public static void main(String[] args) {
        if(args.length > 0){
            // Explicitly set the look and feel.
            try{
                UIManager.setLookAndFeel(
                        "com.sun.java.swing.plaf.motif.MotifLookAndFeel");
            }
            catch(Exception e){
                System.err.println(e);
            }
            // Pass in the image names.
            SwingLayerFrame3 f = new SwingLayerFrame3(args);
            f.addWindowListener(new WindowCloser());
            f.setVisible(true);
        }
        else{
            System.err.println("Usage: java SwingLayerMain4 file.gif ...");
        }
    }
}
