        // Maintain details of the account's balance and
        // implement credit and debit operations on it.
        // Use synchronized methods, where appropriate,
        // to reduce the potential for race hazards.
class SaferAccount implements Account {
    public SaferAccount(){
        final int initialBalance = 600;
        setBalance(initialBalance);
    }

        // Return whether the debit was successful or not.
    public synchronized boolean debit(long amount){
        System.out.println();
        System.out.println("Debit: "+amount);
        if(amount >= 0){
            return setBalance(getBalance()-amount);
        }
        else{
            return false;
        }
    }

        // Return whether the debit was successful or not.
    public synchronized boolean credit(long amount){
        System.out.println();
        System.out.println("Credit: "+amount);
        if(amount >= 0){
            return setBalance(getBalance()+amount);
        }
        else{
            return false;
        }
    }

    public synchronized long getBalance(){
        return balance;
    }

    // The balance may not go negative. Return true
    // on success, false on failure.
    protected synchronized boolean setBalance(long amount){
        if(amount >= 0){
            balance = amount;
            return true;
        }
        else{
            return false;
        }
    }

    // How much is in the account.
    private long balance;
}

